Bug 736166 - need certificates from subscription-manager rpm pulled into python-rhsm
Summary: need certificates from subscription-manager rpm pulled into python-rhsm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-rhsm
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel62 734478 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-06 21:28 UTC by Perry Myers
Modified: 2011-12-06 17:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:26:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1696 normal SHIPPED_LIVE python-rhsm bug fix update 2011-12-06 00:49:52 UTC

Description Perry Myers 2011-09-06 21:28:27 UTC
Description of problem:
For using python-rhsm to register with Hosted candlepin, we need the following certificates to connect:

/etc/rhsm/ca/candlepin-stage.pem
/etc/rhsm/ca/fakamai-cp1.pem
/etc/rhsm/ca/redhat-uep.pem

These certs are in the subscription-manager rpm, but RHEVH doesn't need that rpm (and it pulls in deps like yum, which we also can't use).  So it would be better to move these from s-m to python-rhsm

Comment 1 Chris Duryee 2011-09-07 20:12:11 UTC
0507fb7a6103963f8f9ed4f9e0bb8a934f517124 python-rhsm master 0.96.12+
983fb44fccbf3977ca1ca5d9557503432b791cc5 sub-mgr master 0.96.11+

Comment 3 John Sefler 2011-09-23 14:25:27 UTC
Verifying Version...
[root@jsefler-onprem-62server ~]# rpm -q python-rhsm subscription-manager
python-rhsm-0.96.12-1.el6.noarch
subscription-manager-0.96.11-1.el6.x86_64

[root@jsefler-onprem-62server ~]# rpm -ql python-rhsm | grep .pem
/etc/rhsm/ca/candlepin-stage.pem
/etc/rhsm/ca/redhat-uep.pem
[root@jsefler-onprem-62server ~]# rpm -ql subscription-manager | grep .pem
[root@jsefler-onprem-62server ~]# 

^^^ Notice the ca certificates are now delivered with the python-rhsm and not the subscription-manager package.

Also note that the /etc/rhsm/ca/fakamai-cp1.pem certificate was removed.  This was really used as part of a test environment and is not necessary in the stage/production environment.

Comment 4 errata-xmlrpc 2011-12-06 17:26:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1696.html


Note You need to log in before you can comment on or make changes to this bug.